WHO(1L)

NAME
who - show who is logged on

SYNOPSIS
who [-imqsuwHT] [--count] [--idle] [--heading] [--help] [--message] [--mesg] [--version] [--writable] [file] [am i]

DESCRIPTION
This manual page documents the GNU version of who. If given no non-option arguments, who prints the following information for each user currently logged on:
    login name
    terminal line
    login time
    remote hostname or X display

If given one non-option argument, who uses that instead of /etc/utmp as the name of the file containing the record of users logged on. /etc/wtmp is commonly given as an argument to who to look at who has previously logged on.

If given two non-option arguments, who prints only the entry for the user running it (determined from its standard input), preceded by the hostname. Traditionally, the two arguments given are `am i', as in `who am i'.

  OPTIONS

-m  Same as `who am i'.

-q, --count
    Print only the login names and the number of users logged on. Overrides all other options.

-s  Ignored; for compatibility with other versions of who.

-i, -u, --idle
    After the login time, print the number of hours and minutes that the user has been idle. `.' means the user was active in last minute. `old' means the user was idle for more than 24 hours.

-H, --heading
    Print a line of column headings.

-w, -T, --mesg, --message, --writable
    Like -s, plus after the login name print a character indicating the user's message status:

    +   allowing write messages

    -   disallowing write messages

    ?   cannot find terminal device

--help
    Print a usage message on standard output and exit successfully.

--version
    Print version information on standard output then exit successfully.